<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F4F5F9"
    android:orientation="vertical"
    tools:context=".activity.whatsapp.WhatsAppCleanerActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:ignore="UselessParent">

        <View
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@color/white" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white">

            <FrameLayout
                android:id="@+id/fl_back"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="15dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/fanhui"
                    android:tint="@color/black"
                    tools:ignore="ContentDescription,UseAppTint" />
            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="WhatsApp Cleaner"
                android:textColor="@color/black"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </FrameLayout>

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginVertical="25dp"
                android:orientation="vertical"
                tools:ignore="UselessParent">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_size"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="#4772FF"
                        android:textSize="45sp"
                        android:textStyle="bold"
                        tools:text="108.7" />

                    <TextView
                        android:id="@+id/tv_unit"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_marginStart="8dp"
                        android:textColor="#4772FF"
                        android:textSize="12sp"
                        android:textStyle="bold"
                        tools:text="KB" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="14dp"
                    android:text="Cleanable"
                    android:textColor="#666666"
                    android:textSize="15sp"
                    tools:ignore="HardcodedText" />

            </LinearLayout>

        </FrameLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginTop="16dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:paddingVertical="8dp"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_whatsapp" />

        <TextView
            android:id="@+id/tv_tv_got_it"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_marginHorizontal="40dp"
            android:layout_marginVertical="20dp"
            android:gravity="center"
            android:text="Got it"
            android:textColor="@color/white"
            android:textSize="18sp"
            android:textStyle="bold"
            android:background="@drawable/bg_355bea_10"
            tools:ignore="HardcodedText" />

    </LinearLayout>


</FrameLayout>